
function init() {
  var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

  try {
    var checkboxes = ["shouldScan"];
    for (var i = 0; i < checkboxes.length; ++i) {
      var checkbox = document.getElementById(checkboxes[i]);
      checkbox.checked = pref.getBoolPref(checkbox.getAttribute("prefstring"));
    }

    var STRtextboxes = ["exclude", "AVLoc", "ArgsBox"];
    for (var i = 0; i < STRtextboxes.length; ++i) {
    	var textbox = document.getElementById(STRtextboxes[i]);
    	var prefstring = textbox.getAttribute("prefstring");
    	textbox.value = pref.getCharPref(prefstring);
    }

  }
  catch (e) {
  }
  VDispCheck();
}

function saveSettings() {

  var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

  var checkboxes = ["shouldScan"];

  for (var i = 0; i < checkboxes.length; ++i) {
    var checkbox = document.getElementById(checkboxes[i]);
    pref.setBoolPref(checkbox.getAttribute("prefstring"), checkbox.checked);
  }
  
  var STRtextboxes = ["exclude", "AVLoc", "ArgsBox"];
  for (var i = 0; i < STRtextboxes.length; ++i) {
  	var textbox = document.getElementById(STRtextboxes[i]);
  	pref.setCharPref(textbox.getAttribute("prefstring"), textbox.value);
  }
}

function confirmAVenable() {

	if(document.getElementById("shouldScan").checked) {
		var db_stringsPref = document.getElementById("prefdownscanbundle");
		var db_enableTxt = db_stringsPref.getString("enableAV");
		var enableConfirm = confirm(db_enableTxt);
		if (!enableConfirm){
			document.getElementById("shouldScan").checked = false;
		}
	}
	VDispCheck();
}

function VDispCheck() {

	if(document.getElementById("shouldScan").checked) {
		document.getElementById("excludeLabel").disabled = false;
		document.getElementById("exclude").disabled = false;
		document.getElementById("AVLocLabel").disabled = false;
		document.getElementById("AVLoc").disabled = false;
		document.getElementById("filePicker").disabled = false;
		document.getElementById("ArgsLabel").disabled = false;
		document.getElementById("ArgsBox").disabled = false;
	}
	else {
		document.getElementById("excludeLabel").disabled = true;
		document.getElementById("exclude").disabled = true;
		document.getElementById("AVLocLabel").disabled = true;
		document.getElementById("AVLoc").disabled = true;
		document.getElementById("filePicker").disabled = true;
		document.getElementById("ArgsLabel").disabled = true;
		document.getElementById("ArgsBox").disabled = true;
	}

}

function selectFolder() {

	const nsIFilePicker = Components.interfaces.nsIFilePicker;
	const nsILocalFile = Components.interfaces.nsILocalFile;
	var fp = Components.classes["@mozilla.org/filepicker;1"]
	                 .createInstance(nsIFilePicker);
	var db_stringsPref = document.getElementById("prefdownscanbundle");
	var db_selectTxt = db_stringsPref.getString("AVSelect");

	fp.init(window, db_selectTxt, nsIFilePicker.modeOpen);
	fp.appendFilters(nsIFilePicker.filterAll);
	var ret = fp.show();

	var fileField = document.getElementById("AVLoc");
	if (ret == nsIFilePicker.returnOK) {
		var localFile = fp.file.QueryInterface(nsILocalFile);
		var viewable = fp.file.path;
		fileField.value = viewable;
	}
	else if (ret == nsIFilePicker.returnCancel) {

	}
}